- [HTTP request](https://developers.google.com/agricultural-understanding/reference/rest/v1/TopLevel/lookupLandscapeCaptureDate#body.HTTP_TEMPLATE)
- [Request body](https://developers.google.com/agricultural-understanding/reference/rest/v1/TopLevel/lookupLandscapeCaptureDate#body.request_body)
  - [JSON representation](https://developers.google.com/agricultural-understanding/reference/rest/v1/TopLevel/lookupLandscapeCaptureDate#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/agricultural-understanding/reference/rest/v1/TopLevel/lookupLandscapeCaptureDate#body.response_body)
  - [JSON representation](https://developers.google.com/agricultural-understanding/reference/rest/v1/TopLevel/lookupLandscapeCaptureDate#body.LookupLandscapeCaptureDateResponse.SCHEMA_REPRESENTATION)

Lookup available capture dates of landscape data at a given geographical location.

### HTTP request

`POST https://agriculturalunderstanding.googleapis.com/v1:lookupLandscapeCaptureDate`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax. To know more about valid error responses that can be thrown by this HTTP request, please refer to the [service error catalog](https://developers.google.com/agricultural-understanding/reference/rest/v1/errors)

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "locationSpecifier": { object (`https://developers.google.com/agricultural-understanding/reference/rest/v1/LocationSpecifier`) }, "dataVersion": { object (`https://developers.google.com/agricultural-understanding/reference/rest/v1/DataVersion`) } } ``` |

| Fields ||
|---|---|
| `locationSpecifier` | ``object (`https://developers.google.com/agricultural-understanding/reference/rest/v1/LocationSpecifier`)`` Required. The location specifier. |
| `dataVersion` | ``object (`https://developers.google.com/agricultural-understanding/reference/rest/v1/DataVersion`)`` Optional. The version of the data. If not specified, the latest version will be returned. |

### Response body

Response message for v1.lookupLandscapeCaptureDate method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "dataVersion": { object (`https://developers.google.com/agricultural-understanding/reference/rest/v1/DataVersion`) }, "captureDates": [ { object (`https://developers.google.com/agricultural-understanding/reference/rest/v1/Date`) } ] } ``` |

| Fields ||
|---|---|
| `dataVersion` | ``object (`https://developers.google.com/agricultural-understanding/reference/rest/v1/DataVersion`)`` The version of the data. |
| `captureDates[]` | ``object (`https://developers.google.com/agricultural-understanding/reference/rest/v1/Date`)`` Available capture dates of landscape data. |